<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net60</TargetFramework>
    </PropertyGroup>

    <ItemGroup>
        <Content Update="Pages\Ticket.cshtml">
            <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
            <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
        </Content>
        <Content Update="Pages\Trip.cshtml">
            <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
            <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
        </Content>
        <Content Update="Pages\Logout.cshtml">
            <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
            <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
        </Content>
        <Content Update="Pages\OEAPI.cshtml">
            <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
            <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
        </Content>
        <Content Update="Pages\Inspection.cshtml">
            <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
            <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
        </Content>
        <Content Update="Pages\Delete.cshtml">
            <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
            <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
        </Content>
        <Content Update="Pages\Card.cshtml">
            <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
            <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
        </Content>
        <Content Update="Pages\Cards.cshtml">
            <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
            <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
        </Content>
        <Content Update="Pages\Plain.cshtml">
            <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
            <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
        </Content>
    </ItemGroup>

    <ItemGroup>
        <Compile Update="Pages\Ticket.cshtml.cs">
            <DependentUpon>Ticket.cshtml</DependentUpon>
        </Compile>
        <Compile Update="Pages\Logout.cshtml.cs">
            <DependentUpon>Logout.cshtml</DependentUpon>
        </Compile>
        <Compile Update="Pages\OEAPI.cshtml.cs">
            <DependentUpon>OEAPI.cshtml</DependentUpon>
        </Compile>
        <Compile Update="Pages\Inspection.cshtml.cs">
            <DependentUpon>Inspection.cshtml</DependentUpon>
        </Compile>
        <Compile Update="Pages\Delete.cshtml.cs">
            <DependentUpon>Delete.cshtml</DependentUpon>
        </Compile>
        <Compile Update="Pages\Cards.cshtml.cs">
            <DependentUpon>Cards.cshtml</DependentUpon>
        </Compile>
        <Compile Update="Pages\Plain.cshtml.cs">
            <DependentUpon>Plain.cshtml</DependentUpon>
        </Compile>
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="CsvHelper" Version="18.0.0"/>
        <PackageReference Include="Ical.Net" Version="4.2.0"/>
        <PackageReference Include="linq2db" Version="3.2.3"/>
        <PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="6.0.2"/>
        <PackageReference Include="Microsoft.Data.Sqlite" Version="6.0.3"/>
        <PackageReference Include="Microsoft.Extensions.Caching.StackExchangeRedis" Version="6.0.2"/>
        <PackageReference Include="Newtonsoft.Json" Version="13.0.1"/>
        <PackageReference Include="System.Data.SQLite.Core" Version="1.0.115"/>
        <PackageReference Include="System.Reflection.TypeExtensions" Version="4.7.0"/>
    </ItemGroup>

</Project>
